NX Open C++ Reference Guide
|
This class provides access to the append option setting for importing solver specific data into existing Fem/Sim. More...
Public Types | |
enum | ImportBehaviorOption { ImportBehaviorOptionAppendModel, ImportBehaviorOptionMergeWithExisting } |
Options to control how the imported input file is to be combined with the existing model. More... | |
enum | MergeOption { MergeOptionUseExisting, MergeOptionModifyExisting, MergeOptionAppendNew } |
Options to control how entities are merge with existing model. More... | |
enum | SolutionOption { SolutionOptionDontCreate, SolutionOptionCreateNew } |
Options to control if a solution is created during merge. More... | |
![]() | |
enum | AttributeType { AttributeTypeInvalid, AttributeTypeNull, AttributeTypeBoolean, AttributeTypeInteger, AttributeTypeReal, AttributeTypeString, AttributeTypeTime, AttributeTypeReference, AttributeTypeAny = 100 } |
Specifies attribute type. More... | |
enum | DateAndTimeFormat { DateAndTimeFormatNumeric, DateAndTimeFormatTextual } |
Specifies the format of the date and time attribute. More... | |
Public Member Functions | |
int | CoordinateSystemOffset () |
Returns the coordinate system offset Created in NX7.5.2. | |
bool | DoAppendMerge () |
Returns the append merge option | |
int | ElementOffset () |
Returns the element offset Created in NX7.5.2. | |
int | GetHighestCoordinateSystemLabel () |
Gets the highest coordinate system label from the work Fem/Sim. | |
int | GetHighestElementLabel () |
Gets the highest element label from the work Fem/Sim. | |
int | GetHighestNodeLabel () |
Gets the highest node label from the work Fem/Sim. | |
int | GetHighestOthersLabel () |
Gets the highest label for all other entities from the work Fem/Sim. | |
int | GetHighestPhysicalPropertyLabel () |
Gets the highest physical property label from the work Fem/Sim. | |
NXOpen::CAE::SolverAppendOption::ImportBehaviorOption | ImportBehavior () |
Returns the import behavior choice Created in NX9.0.0. | |
NXOpen::CAE::SolverAppendOption::MergeOption | MaterialMergeOption () |
Returns the material merge choice Created in NX9.0.0. | |
NXOpen::CAE::SolverAppendOption::MergeOption | NodeMergeOption () |
Returns the node merge choice Created in NX9.0.0. | |
int | NodeOffset () |
Returns the node offset Created in NX7.5.2. | |
int | OthersOffset () |
Returns the offset for all other entities Created in NX7.5.2. | |
int | PhysicalPropertyOffset () |
Returns the physical property offset Created in NX7.5.2. | |
NXOpen::CAE::SolverAppendOption::MergeOption | PptMergeOption () |
Returns the physical property merge choice Created in NX9.0.0. | |
void | SetCoordinateSystemOffset (int csOffset) |
Sets the coordinate system offset Created in NX7.5.2. | |
void | SetDoAppendMerge (bool doMerge) |
Sets the append merge option | |
void | SetElementOffset (int elemOffset) |
Sets the element offset Created in NX7.5.2. | |
void | SetImportBehavior (NXOpen::CAE::SolverAppendOption::ImportBehaviorOption behaviorOption) |
Sets the import behavior choice Created in NX9.0.0. | |
void | SetMaterialMergeOption (NXOpen::CAE::SolverAppendOption::MergeOption mergeChoice) |
Sets the material merge choice Created in NX9.0.0. | |
void | SetNodeMergeOption (NXOpen::CAE::SolverAppendOption::MergeOption mergeChoice) |
Sets the node merge choice Created in NX9.0.0. | |
void | SetNodeOffset (int nodeOffset) |
Sets the node offset Created in NX7.5.2. | |
void | SetOthersOffset (int othersOffset) |
Sets the offset for all other entities Created in NX7.5.2. | |
void | SetPhysicalPropertyOffset (int physicalPropertyOffset) |
Sets the physical property offset Created in NX7.5.2. | |
void | SetPptMergeOption (NXOpen::CAE::SolverAppendOption::MergeOption mergeChoice) |
Sets the physical property merge choice Created in NX9.0.0. | |
void | SetSolutionMergeOption (NXOpen::CAE::SolverAppendOption::SolutionOption mergeChoice) |
Sets the solution merge choice Created in NX9.0.0. | |
void | SetSolverName (const NXString &solverName) |
Sets the solver name Created in NX7.5.2. | |
void | SetSolverName (const char *solverName) |
Sets the solver name Created in NX7.5.2. | |
NXOpen::CAE::SolverAppendOption::SolutionOption | SolutionMergeOption () |
Returns the solution merge choice Created in NX9.0.0. | |
NXString | SolverName () |
Returns the solver name Created in NX7.5.2. | |
![]() | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type) |
Deletes all attributes of a specific type. | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes all attributes of a specific type with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const NXString &title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const char *title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttributes (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes the attributes encountered with the given Type with option to update or not. | |
virtual NXOpen::INXObject * | FindObject (const NXString &journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetAttributeTitlesByType (NXOpen::NXObject::AttributeType type) |
Gets all the attribute titles of a specific type. | |
bool | GetBooleanUserAttribute (const NXString &title, int index) |
Gets a boolean attribute by Title and array Index. | |
bool | GetBooleanUserAttribute (const char *title, int index) |
Gets a boolean attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
int | GetIntegerAttribute (const NXString &title) |
Gets an integer attribute by title. | |
int | GetIntegerAttribute (const char *title) |
Gets an integer attribute by title. | |
int | GetIntegerUserAttribute (const NXString &title, int index) |
Gets an integer attribute by Title and array Index. | |
int | GetIntegerUserAttribute (const char *title, int index) |
Gets an integer attribute by Title and array Index. | |
double | GetRealAttribute (const NXString &title) |
Gets a real attribute by title. | |
double | GetRealAttribute (const char *title) |
Gets a real attribute by title. | |
double | GetRealUserAttribute (const NXString &title, int index) |
Gets a real attribute by Title and array Index. | |
double | GetRealUserAttribute (const char *title, int index) |
Gets a real attribute by Title and array Index. | |
NXString | GetReferenceAttribute (const NXString &title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetReferenceAttribute (const char *title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetStringAttribute (const NXString &title) |
Gets a string attribute value by title. | |
NXString | GetStringAttribute (const char *title) |
Gets a string attribute value by title. | |
NXString | GetStringUserAttribute (const NXString &title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetStringUserAttribute (const char *title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const NXString &title) |
Gets a time attribute by title. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const char *title) |
Gets a time attribute by title. | |
NXString | GetTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXString | GetTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXString | GetUserAttributeAsString (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
NXString | GetUserAttributeAsString (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
bool | GetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
bool | GetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes () |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset) |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset, bool addStringValues) |
Gets all the attributes that have been set on the given object. | |
std::vector< NXString > | GetUserAttributesAsStrings () |
Gets all the attributes that have been set on the given object. | |
std::vector< NXOpen::NXObject * > | GetUserAttributeSourceObjects () |
Returns an array of objects from which this object presents attributes. | |
bool | HasUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
bool | HasUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
virtual bool | IsOccurrence () |
Returns whether this object is an occurrence or not. | |
virtual NXString | JournalIdentifier () |
Returns the identifier that would be recorded in a journal for this object. | |
virtual NXString | Name () |
Returns the custom name of the object. | |
virtual NXOpen::Assemblies::Component * | OwningComponent () |
Returns the owning component, if this object is an occurrence. | |
virtual NXOpen::BasePart * | OwningPart () |
Returns the owning part of this object Created in NX3.0.0. | |
virtual void | Print () |
Prints a representation of this object to the system log file. | |
virtual NXOpen::INXObject * | Prototype () |
Returns the prototype of this object if it is an occurrence. | |
void | SetAttribute (const NXString &title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const char *title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const NXString &title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const char *title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const char *title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const NXString &title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const char *title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const char *title, const char *value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const NXString &title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const char *title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const NXString &title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetAttribute (const char *title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const NXString &title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const char *title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
virtual void | SetName (const NXString &name) |
Sets the custom name of the object. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const char *title, const char *value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetReferenceAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetTimeAttribute (const NXString &title, const NXString &value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const char *title, const char *value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetUserAttribute (const NXOpen::NXObject::AttributeInformation &info, NXOpen::Update::Option option) |
Creates or modifies an attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
void | SetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
![]() | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
This class provides access to the append option setting for importing solver specific data into existing Fem/Sim.
Not support KF.
Created in NX7.5.2.
Options to control how the imported input file is to be combined with the existing model.
Options to control how entities are merge with existing model.
Options to control if a solution is created during merge.
int NXOpen::CAE::SolverAppendOption::CoordinateSystemOffset | ( | ) |
Returns the coordinate system offset
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bool NXOpen::CAE::SolverAppendOption::DoAppendMerge | ( | ) |
Returns the append merge option
Use CAE::SolverAppendOption::ImportBehavior instead.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
int NXOpen::CAE::SolverAppendOption::ElementOffset | ( | ) |
Returns the element offset
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
int NXOpen::CAE::SolverAppendOption::GetHighestCoordinateSystemLabel | ( | ) |
Gets the highest coordinate system label from the work Fem/Sim.
int NXOpen::CAE::SolverAppendOption::GetHighestElementLabel | ( | ) |
Gets the highest element label from the work Fem/Sim.
int NXOpen::CAE::SolverAppendOption::GetHighestNodeLabel | ( | ) |
Gets the highest node label from the work Fem/Sim.
int NXOpen::CAE::SolverAppendOption::GetHighestOthersLabel | ( | ) |
Gets the highest label for all other entities from the work Fem/Sim.
int NXOpen::CAE::SolverAppendOption::GetHighestPhysicalPropertyLabel | ( | ) |
Gets the highest physical property label from the work Fem/Sim.
NXOpen::CAE::SolverAppendOption::ImportBehaviorOption NXOpen::CAE::SolverAppendOption::ImportBehavior | ( | ) |
Returns the import behavior choice
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXOpen::CAE::SolverAppendOption::MergeOption NXOpen::CAE::SolverAppendOption::MaterialMergeOption | ( | ) |
Returns the material merge choice
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXOpen::CAE::SolverAppendOption::MergeOption NXOpen::CAE::SolverAppendOption::NodeMergeOption | ( | ) |
Returns the node merge choice
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
int NXOpen::CAE::SolverAppendOption::NodeOffset | ( | ) |
Returns the node offset
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
int NXOpen::CAE::SolverAppendOption::OthersOffset | ( | ) |
Returns the offset for all other entities
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
int NXOpen::CAE::SolverAppendOption::PhysicalPropertyOffset | ( | ) |
Returns the physical property offset
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXOpen::CAE::SolverAppendOption::MergeOption NXOpen::CAE::SolverAppendOption::PptMergeOption | ( | ) |
Returns the physical property merge choice
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::SolverAppendOption::SetCoordinateSystemOffset | ( | int | csOffset | ) |
Sets the coordinate system offset
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
csOffset | the coordinate system offset |
void NXOpen::CAE::SolverAppendOption::SetDoAppendMerge | ( | bool | doMerge | ) |
Sets the append merge option
Use CAE::SolverAppendOption::SetImportBehavior instead.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
doMerge | true if new entities should be merged with existing model |
void NXOpen::CAE::SolverAppendOption::SetElementOffset | ( | int | elemOffset | ) |
Sets the element offset
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
elemOffset | the element offset |
void NXOpen::CAE::SolverAppendOption::SetImportBehavior | ( | NXOpen::CAE::SolverAppendOption::ImportBehaviorOption | behaviorOption | ) |
Sets the import behavior choice
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
behaviorOption | how the input file should be imported |
void NXOpen::CAE::SolverAppendOption::SetMaterialMergeOption | ( | NXOpen::CAE::SolverAppendOption::MergeOption | mergeChoice | ) |
Sets the material merge choice
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
mergeChoice | type of merging to perform for materials |
void NXOpen::CAE::SolverAppendOption::SetNodeMergeOption | ( | NXOpen::CAE::SolverAppendOption::MergeOption | mergeChoice | ) |
Sets the node merge choice
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
mergeChoice | type of merging to perform for nodes |
void NXOpen::CAE::SolverAppendOption::SetNodeOffset | ( | int | nodeOffset | ) |
Sets the node offset
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
nodeOffset | the node offset |
void NXOpen::CAE::SolverAppendOption::SetOthersOffset | ( | int | othersOffset | ) |
Sets the offset for all other entities
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
othersOffset | the offset for all other entities |
void NXOpen::CAE::SolverAppendOption::SetPhysicalPropertyOffset | ( | int | physicalPropertyOffset | ) |
Sets the physical property offset
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
physicalPropertyOffset | the physical property offset |
void NXOpen::CAE::SolverAppendOption::SetPptMergeOption | ( | NXOpen::CAE::SolverAppendOption::MergeOption | mergeChoice | ) |
Sets the physical property merge choice
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
mergeChoice | type of merging to perform for ppts |
void NXOpen::CAE::SolverAppendOption::SetSolutionMergeOption | ( | NXOpen::CAE::SolverAppendOption::SolutionOption | mergeChoice | ) |
Sets the solution merge choice
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
mergeChoice | type of merging to perform for solutions |
void NXOpen::CAE::SolverAppendOption::SetSolverName | ( | const NXString & | solverName | ) |
Sets the solver name
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
solverName | the solver name to indicate what type of data is being imported |
void NXOpen::CAE::SolverAppendOption::SetSolverName | ( | const char * | solverName | ) |
Sets the solver name
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
solverName | the solver name to indicate what type of data is being imported |
NXOpen::CAE::SolverAppendOption::SolutionOption NXOpen::CAE::SolverAppendOption::SolutionMergeOption | ( | ) |
Returns the solution merge choice
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXString NXOpen::CAE::SolverAppendOption::SolverName | ( | ) |
Returns the solver name
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")